Debian Bug report logs - #500178
mktime(3): should state that mktime() call changes tm_isdst

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>

Date: Thu, 25 Sep 2008 18:57:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/3.07-1

Fixed in version manpages/3.11-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#500178; Package manpages-dev. (Thu, 25 Sep 2008 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 25 Sep 2008 18:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mktime(3): should state that mktime() call changes tm_isdst
Date: Thu, 25 Sep 2008 21:46:04 +0300
Package: manpages-dev
Version: 3.07-1
Severity: normal

mktime call changes tm_isdst field in struct tm which is its argument,
but man page tells only about tm_wday and tm_yday.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages manpages-dev depends on:
ii  manpages                      3.07-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

Versions of packages manpages-dev suggests:
ii  konqueror [man-browser]       4:4.1.0-1  KDE 4's advanced file manager, web
ii  man-db [man-browser]          2.5.2-2    on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#500178; Package manpages-dev. (Fri, 26 Sep 2008 04:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Fri, 26 Sep 2008 04:48:02 GMT) Full text and rfc822 format available.

Message #10 received at 500178@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>, 500178@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#500178: mktime(3): should state that mktime() call changes tm_isdst
Date: Fri, 26 Sep 2008 06:45:25 +0200
tags 500178 fixed-upstream
thanks

On Thu, Sep 25, 2008 at 8:46 PM, Eugene V. Lyubimkin
<jackyf.devel@gmail.com> wrote:
> Package: manpages-dev
> Version: 3.07-1
> Severity: normal
>
> mktime call changes tm_isdst field in struct tm which is its argument,
> but man page tells only about tm_wday and tm_yday.

Thanks for pointing this out.  I made the change below for upstream 3.11.

Cheers,

Michael

--- a/man3/ctime.3
+++ b/man3/ctime.3
@@ -227,8 +227,24 @@ the values supplied by the caller in the
 and
 .I tm_yday
 fields.
+The value specified in the
+.I tm_isdst
+field informs
+.BR mktime ()
+whether or not daylight saving time (DST)
+is in effect for the time supplied in the
+.I tm
+structure:
+a positive value means DST is in effect;
+zero means that DST is not in effect;
+and a negative value means that
 .BR mktime ()
-modifies the fields of the
+should (use timezone information and system databases to)
+attempt to determine whether DST is in effect at the specified time.
+
+The
+.BR mktime ()
+function modifies the fields of the
 .IR tm
 structure as follows:
 .I tm_wday
@@ -236,18 +252,23 @@ and
 .I tm_yday
 are set to values determined from the contents of the other fields;
 if structure members are outside their valid interval, they will be
-normalized (so that, for example, 40 October is changed into 9 November).
+normalized (so that, for example, 40 October is changed into 9 November);
+.I tm_isdst
+is set (regardless of its initial value)
+to a positive value or to 0, respectively,
+to indicate whether DST is or is not in effect at the specified time.
 Calling
 .BR mktime ()
 also sets the external variable \fItzname\fP with
 information about the current timezone.
+
 If the specified broken-down
 time cannot be represented as calendar time (seconds since the Epoch),
 .BR mktime ()
 returns a value of
 .I (time_t)\ \-1
 and does not alter the
-\fItm_wday\fP and \fItm_yday\fP members of the broken-down time structure.
+members of the broken-down time structure.
 .SH "RETURN VALUE"
 Each of these functions returns the value described, or NULL
 (\-1 in case of



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Fri, 26 Sep 2008 04:48:03 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Tue, 18 Nov 2008 09:44:57 GMT) Full text and rfc822 format available.

Notification sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Bug acknowledged by developer. (Tue, 18 Nov 2008 09:45:11 GMT) Full text and rfc822 format available.

Message #17 received at 500178-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 500178-close@bugs.debian.org
Subject: Bug#500178: fixed in manpages 3.11-1
Date: Tue, 18 Nov 2008 09:17:29 +0000
Source: manpages
Source-Version: 3.11-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.11-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.11-1_all.deb
manpages_3.11-1.diff.gz
  to pool/main/m/manpages/manpages_3.11-1.diff.gz
manpages_3.11-1.dsc
  to pool/main/m/manpages/manpages_3.11-1.dsc
manpages_3.11-1_all.deb
  to pool/main/m/manpages/manpages_3.11-1_all.deb
manpages_3.11.orig.tar.gz
  to pool/main/m/manpages/manpages_3.11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 500178@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 Nov 2008 08:34:20 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.11-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 500178
Changes: 
 manpages (3.11-1) unstable; urgency=low
 .
   * New upstream release
     . Clarify mktime()'s use of tm_isdst in ctime(3) (closes: Bug#500178)
Checksums-Sha1: 
 f103906f6696dd2d1557a2deeeb85416c7af49d3 964 manpages_3.11-1.dsc
 21727034e41f59b9787eef85af0778562b099e9b 1454522 manpages_3.11.orig.tar.gz
 c5454602a5a2ece4e6fd20d56000eb6b6c0818a0 46948 manpages_3.11-1.diff.gz
 e2abb7692fc1b5e0daa233c4b5a3386dfe0611c6 634128 manpages_3.11-1_all.deb
 07f2a1f24c6ce74328462eb11a624b67c017aaeb 1493312 manpages-dev_3.11-1_all.deb
Checksums-Sha256: 
 237040339c192b2b9496b06cb367ce6a8e5dce33702002740a3b995ea1de0e24 964 manpages_3.11-1.dsc
 f1834b52ea416351f4654486f1932bbb73f0bfaa1ff68c19a0bfc84d1d955682 1454522 manpages_3.11.orig.tar.gz
 f70a8c093ff5e39ea3363c93e7100d24e3af14736014096d6eef18fd4900845c 46948 manpages_3.11-1.diff.gz
 772c71bd9d0a7a6d890d70fb299ec983134e595aa040daf98d1a837afd168204 634128 manpages_3.11-1_all.deb
 9439e8f062bffc8745b93c0ba95beac0b393d832a855d25f0f5b1777b0153f72 1493312 manpages-dev_3.11-1_all.deb
Files: 
 846471d62f476371bb365c0f337d49b5 964 doc important manpages_3.11-1.dsc
 51a7781a1563ff144c78b83aa73150c4 1454522 doc important manpages_3.11.orig.tar.gz
 aee2525048cf8a8cb6c6a60bcfaa166d 46948 doc important manpages_3.11-1.diff.gz
 84a3025e6a385fe42ede8c75c36d767a 634128 doc important manpages_3.11-1_all.deb
 27517f5368c8876772dbbf667114fb85 1493312 doc optional manpages-dev_3.11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJInKBW5ql+IAeqTIRAqN0AJ9DVALCstsrdj5yXanCxbcEbNo6IACffZFw
oFX18H+DHmokY5LhOeBemEQ=
=0aQ0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Dec 2008 07:31:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:28:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.